/////////////////////////////////////////////////////
// Processingには用意されていない数学系の汎用的な関数
/////////////////////////////////////////////////////

// 1. int sgn(float), int sgn(int) : 負ならば-1，正ならば 1，ゼロならば 0 を返す
// 2. nowDateTime(void)   : 日時を文字列で返す（yyyy/mm/dd hh:mm:ss）
// 3. getKEY(void)        : キーボードから入力された文字を大文字に変換して返す(a-zの場合のみ)
// 4. isNumberChar(char)  : charが'0'から'9'ならば真

// 1. int sgn(float), int sgn(int) : 負ならば-1，正ならば 1，ゼロならば 0 を返す
int sgn(int i) {
  return sgn(float(i));
}
int sgn(float f) {
  if (f < 0.0) return -1;
  if (f > 0.0) return  1;
  return 0;
}

// 2. nowDateTime() : 日時を文字列で返す（yyyy/mm/dd hh:mm:ss）
String nowDateTime() {
  return str(year()) + '/' + str(month()) + '/' + str(day()) + ' ' + str(hour()) + ':' + str(minute()) + ':' + str(second());
}

// 3. getKEY() : キーボードから入力された文字を大文字に変換して返す(a-zの場合のみ)
char getKEY() {
  if ((key < 'a') || (key > 'z')) return key;
  return str(key).toUpperCase().charAt(0);
}

// 4. isNumberChar(char)    : charが'0'から'9'ならば真
boolean isNumberChar(char c) {
  if ((c >= '0') && (c <= '9')) return true;
  return false;
}

